org.apache.tools.ant.util

## Class ScriptFixBSFPath

- java.lang.Object
- - org.apache.tools.ant.util.ScriptFixBSFPath

-     public class ScriptFixBSFPath
      extends java.lang.Object

  A class to modify a classloader to support BSF language support.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ScriptFixBSFPath()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `fixClassLoader(java.lang.ClassLoader loader, java.lang.String language)` Check if need to mess about with the classloader.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ScriptFixBSFPath

          public ScriptFixBSFPath()

  - ### Method Detail

    - #### fixClassLoader

          public void fixClassLoader(java.lang.ClassLoader loader,
                                     java.lang.String language)

      Check if need to mess about with the classloader. The class loader will need to be modified for two reasons:
      1. language is at a higher level than bsf for engines in bsf, move bsf.
      2. bsf is at a higher level than oata.util.optional.ScriptRunner
      Assume a simple model for the loader: thisloader<-customloader or thisloader
      Parameters:
        `loader` - the classloader to fix.
        `language` - the language to use.